# WinStd: winstd::system_impersonator Class Reference

Loading...
Searching...
No Matches
winstd::system_impersonator Class Reference
Windows API

Lets the calling thread impersonate the security context of the SYSTEM user. More...

`#include <WinStd/Win.h>`

Inheritance diagram for winstd::system_impersonator:

## Public Member Functions

| system_impersonator () noexcept
| Construct the impersonator and impersonates the SYSTEM user.
Public Member Functions inherited from winstd::impersonator
| impersonator () noexcept
| Construct the impersonator.
virtual | ~impersonator ()
| Reverts to current user and destructs the impersonator.
| operator bool () const
| Did impersonation succeed?

## Additional Inherited Members

Protected Attributes inherited from winstd::impersonator
BOOL | m_cookie
| Did impersonation succeed?

## Detailed Description

Lets the calling thread impersonate the security context of the SYSTEM user.

The documentation for this class was generated from the following file:

- include/WinStd/Win.h